Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2150::/12
First address
2150::
Last address
215f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2150:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.1.2.ip6.arpa
Split into smaller subnets/24

2150::/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
12150::/242150:ff:ffff:ffff:ffff:ffff:ffff:ffff
22150:100::/242150:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32150:200::/242150:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42150:300::/242150:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52150:400::/242150:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62150:500::/242150:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72150:600::/242150:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82150:700::/242150:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92150:800::/242150:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102150:900::/242150:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112150:a00::/242150:aff:ffff:ffff:ffff:ffff:ffff:ffff
122150:b00::/242150:bff:ffff:ffff:ffff:ffff:ffff:ffff
132150:c00::/242150:cff:ffff:ffff:ffff:ffff:ffff:ffff
142150:d00::/242150:dff:ffff:ffff:ffff:ffff:ffff:ffff
152150:e00::/242150:eff:ffff:ffff:ffff:ffff:ffff:ffff
162150:f00::/242150:fff:ffff:ffff:ffff:ffff:ffff:ffff
172150:1000::/242150:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182150:1100::/242150:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192150:1200::/242150:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202150:1300::/242150:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212150:1400::/242150:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222150:1500::/242150:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232150:1600::/242150:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242150:1700::/242150:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252150:1800::/242150:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262150:1900::/242150:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272150:1a00::/242150:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282150:1b00::/242150:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292150:1c00::/242150:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302150:1d00::/242150:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312150:1e00::/242150:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322150:1f00::/242150:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332150:2000::/242150:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342150:2100::/242150:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352150:2200::/242150:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362150:2300::/242150:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372150:2400::/242150:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382150:2500::/242150:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392150:2600::/242150:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402150:2700::/242150:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412150:2800::/242150:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422150:2900::/242150:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432150:2a00::/242150:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442150:2b00::/242150:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452150:2c00::/242150:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462150:2d00::/242150:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472150:2e00::/242150:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482150:2f00::/242150:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492150:3000::/242150:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502150:3100::/242150:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512150:3200::/242150:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522150:3300::/242150:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532150:3400::/242150:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542150:3500::/242150:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552150:3600::/242150:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562150:3700::/242150:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572150:3800::/242150:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582150:3900::/242150:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592150:3a00::/242150:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602150:3b00::/242150:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612150:3c00::/242150:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622150:3d00::/242150:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632150:3e00::/242150:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642150:3f00::/242150:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652150:4000::/242150:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662150:4100::/242150:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672150:4200::/242150:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682150:4300::/242150:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692150:4400::/242150:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702150:4500::/242150:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712150:4600::/242150:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722150:4700::/242150:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732150:4800::/242150:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742150:4900::/242150:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752150:4a00::/242150:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762150:4b00::/242150:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772150:4c00::/242150:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782150:4d00::/242150:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792150:4e00::/242150:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802150:4f00::/242150:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812150:5000::/242150:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822150:5100::/242150:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832150:5200::/242150:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842150:5300::/242150:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852150:5400::/242150:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862150:5500::/242150:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872150:5600::/242150:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882150:5700::/242150:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892150:5800::/242150:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902150:5900::/242150:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912150:5a00::/242150:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922150:5b00::/242150:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932150:5c00::/242150:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942150:5d00::/242150:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952150:5e00::/242150:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962150:5f00::/242150:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972150:6000::/242150:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982150:6100::/242150:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992150:6200::/242150:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002150:6300::/242150:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012150:6400::/242150:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022150:6500::/242150:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032150:6600::/242150:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042150:6700::/242150:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052150:6800::/242150:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062150:6900::/242150:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072150:6a00::/242150:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082150:6b00::/242150:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092150:6c00::/242150:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102150:6d00::/242150:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112150:6e00::/242150:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122150:6f00::/242150:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132150:7000::/242150:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142150:7100::/242150:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152150:7200::/242150:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162150:7300::/242150:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172150:7400::/242150:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182150:7500::/242150:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192150:7600::/242150:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202150:7700::/242150:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212150:7800::/242150:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222150:7900::/242150:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232150:7a00::/242150:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242150:7b00::/242150:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252150:7c00::/242150:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262150:7d00::/242150:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272150:7e00::/242150:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282150:7f00::/242150:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292150:8000::/242150:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302150:8100::/242150:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312150:8200::/242150:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322150:8300::/242150:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332150:8400::/242150:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342150:8500::/242150:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352150:8600::/242150:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362150:8700::/242150:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372150:8800::/242150:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382150:8900::/242150:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392150:8a00::/242150:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402150:8b00::/242150:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412150:8c00::/242150:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422150:8d00::/242150:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432150:8e00::/242150:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442150:8f00::/242150:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452150:9000::/242150:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462150:9100::/242150:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472150:9200::/242150:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482150:9300::/242150:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492150:9400::/242150:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502150:9500::/242150:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512150:9600::/242150:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522150:9700::/242150:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532150:9800::/242150:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542150:9900::/242150:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552150:9a00::/242150:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562150:9b00::/242150:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572150:9c00::/242150:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582150:9d00::/242150:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592150:9e00::/242150:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602150:9f00::/242150:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612150:a000::/242150:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622150:a100::/242150:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632150:a200::/242150:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642150:a300::/242150:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652150:a400::/242150:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662150:a500::/242150:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672150:a600::/242150:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682150:a700::/242150:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692150:a800::/242150:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702150:a900::/242150:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712150:aa00::/242150:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722150:ab00::/242150:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732150:ac00::/242150:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742150:ad00::/242150:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752150:ae00::/242150:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762150:af00::/242150:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772150:b000::/242150:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782150:b100::/242150:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792150:b200::/242150:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802150:b300::/242150:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812150:b400::/242150:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822150:b500::/242150:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832150:b600::/242150:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842150:b700::/242150:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852150:b800::/242150:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862150:b900::/242150:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872150:ba00::/242150:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882150:bb00::/242150:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892150:bc00::/242150:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902150:bd00::/242150:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912150:be00::/242150:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922150:bf00::/242150:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932150:c000::/242150:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942150:c100::/242150:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952150:c200::/242150:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962150:c300::/242150:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972150:c400::/242150:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982150:c500::/242150:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992150:c600::/242150:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002150:c700::/242150:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012150:c800::/242150:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022150:c900::/242150:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032150:ca00::/242150:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042150:cb00::/242150:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052150:cc00::/242150:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062150:cd00::/242150:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072150:ce00::/242150:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082150:cf00::/242150:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092150:d000::/242150:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102150:d100::/242150:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112150:d200::/242150:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122150:d300::/242150:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132150:d400::/242150:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142150:d500::/242150:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152150:d600::/242150:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162150:d700::/242150:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172150:d800::/242150:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182150:d900::/242150:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192150:da00::/242150:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202150:db00::/242150:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212150:dc00::/242150:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222150:dd00::/242150:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232150:de00::/242150:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242150:df00::/242150:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252150:e000::/242150:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262150:e100::/242150:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272150:e200::/242150:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282150:e300::/242150:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292150:e400::/242150:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302150:e500::/242150:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312150:e600::/242150:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322150:e700::/242150:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332150:e800::/242150:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342150:e900::/242150:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352150:ea00::/242150:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362150:eb00::/242150:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372150:ec00::/242150:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382150:ed00::/242150:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392150:ee00::/242150:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402150:ef00::/242150:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412150:f000::/242150:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422150:f100::/242150:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432150:f200::/242150:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442150:f300::/242150:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452150:f400::/242150:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462150:f500::/242150:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472150:f600::/242150:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482150:f700::/242150:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492150:f800::/242150:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502150:f900::/242150:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512150:fa00::/242150:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522150:fb00::/242150:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532150:fc00::/242150:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542150:fd00::/242150:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552150:fe00::/242150:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562150:ff00::/242150:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses